
/*
 * Приклад з використанням сигнала INT для 
 * запрограмованого Smart IR
 * При натисканні на запрограмовані кнопки пульта,
 * рівень сигналу змінюється з високого на низький. 
 * Для даного прикладу в схемі використаний погоджувальний
 * каскад для виходу INT. Він інвертує сигнал INT в зворотній
 */
/*  IIC  */
//#include <smartir2iic.h>
//smartir2iic sm(0x66);
/* End IIC */

/* Serial */
#include <smartir2ser.h>
#include <SoftwareSerial.h>

SoftwareSerial ss(11,12); //rx,tx
smartir2ser sm(&ss,19200);
/* End Serial */

#define   INT 2

void setup() {
  pinMode(INT,INPUT);
  Serial.begin(19200);
  sm.begin();
 
  Serial.println("TEST Smart IR INT pin");
  Serial.println("*********************\n");
}

void loop() {
  if(digitalRead(INT)==HIGH) {
    Serial.print("Cmd = "); Serial.print(sm.cmd(),DEC);
    Serial.print(", IR Code = ");Serial.println(sm.code(),HEX);
  }
}
